//
// Copyright (c) 2000 by Tech Soft 3D, LLC.
// The information contained herein is confidential and proprietary to
// Tech Soft 3D, LLC., and considered a trade secret as defined under
// civil and criminal statutes.  Tech Soft 3D shall pursue its civil
// and criminal remedies in the event of unauthorized use or misappropriation
// of its trade secrets.  Use of this information by anyone other than
// authorized employees of Tech Soft 3D, LLC. is granted only under a
// written non-disclosure agreement, expressly prescribing the scope and
// manner of such use.
//
// $Header: /files/homes/master/cvs/hoops_master/docs_hoops/HoopsMFC/CHoopsApp.h,v 1.2 2006-08-07 20:39:02 stage Exp $
//

// CHoopsApp.h : interface of the CHoopsApp class, derived from CWinApp
// Adds encapsulation of the main HOOPS database object

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#ifndef hoops_app
#define hoops_app

//#include "resource.h"      
#include "hc.h"

#define WM_DOREALIZE    (WM_USER + 0)

#define WMF             0
#define EMF             1


class HDB;

/////////////////////////////////////////////////////////////////////////////
// CHoopsApp:
// See hoops.cpp for the implementation of this class
//

//! The CHoopsApp class provides a HOOPS-specific implementation of the CWinApp object.
/*!
	CHoopsApp contains a pointer to a corresponding HOOPS/MVO HDB object.
 
	This is the base class from which your custom HOOPS-based MFC/MDI CWinApp object should be derived.
*/
class AFX_EXT_CLASS CHoopsApp : public CWinApp
{

protected:
    
	/*! Pointer to the HOOPS/MVO HDB object associated with this instance of the application */
	HDB*	m_pHoopsDB;			

public:

	CHoopsApp();


	/*! \return A pointer to the HOOPS/MVO HDB object associated with this instance of the application */
	HDB*	GetHoopsDB() { return m_pHoopsDB; }

   
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHoopsApp)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CHoopsApp)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif


/////////////////////////////////////////////////////////////////////////////
